!
!++++++++++++++++++++++++++++  ^I1A2     ++++++++++++++++++++++++++++
!
!   DECLARATIVE & FORMAT STATEMENTS FOR FILE: VSI1A2   TYPE: K
!
!   INVENTORY FILE                                     REC SIZE: 140
!                                                      KEY SIZE: 36
!       KEY DESCRIPTION: IALLOYCD$ + ISHAPE$ + ISIZE$ + IINGOT$ + INGPO$
!
!   #FILES NAME: ALLOY.SIZE.INGO                       DATE: 06/28/07
!
!++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
!
!
!   VARIABLE DECLARATIONS
!
     LENGTH   6.0 & LOCAL  IICMTD,IIOHND,IIOORD
     LENGTH   6.4 & LOCAL  IICOST
     LENGTH     2 & LOCAL  I1A2FILL$,IALLOYCD$
     LENGTH     3 & LOCAL  IIFSHAPE$,IISPEC1$,IISPEC2$,IISPECS$,IISTEP$
     LENGTH     3 & LOCAL  ISHAPE$
     LENGTH     6 & LOCAL  ICNBR$,INGPO$
     LENGTH     9 & LOCAL  IICPO$,IIFPO$
     LENGTH    10 & LOCAL  IINGOT$
     LENGTH    15 & LOCAL  IIFSIZE$,ISIZE$
     LENGTH    16 & LOCAL  IALLOY$
     LENGTH    36 & LOCAL  KEYI1A2$
!
!  RECORD FORMAT                FIELD DESCRIPTIONS        TYPE   LENGTH  POS
!
0205 FORMAT _
         IALLOYCD$;_        !                              S        2      0
         ISHAPE$;_          ! SHAPE                        S        3      2
         ISIZE$;_           ! SIZE                         S       15      5
         IINGOT$;_          ! INGOT #                      S       10     20
         INGPO$;_           ! INGOT PO                     S        6     30
         IALLOY$;_          ! ALLOY                        S       16     36
         IIOHND;_           ! # ON HAND                    N      6.0     52
         IIOORD;_           ! # ON ORDER                   N      6.0     60
         IICMTD;_           ! # CMTD                       N      6.0     68
         IICOST;_           ! COST/#                       N      6.4     76
         IIFSIZE$;_         ! FROM SIZE                    S       15     84
         IIFPO$;_           ! FROM PO#                     S        9     99
         IICPO$;_           ! CURRENT PO#                  S        9    108
         IISTEP$;_          ! CURRENT STEP #               S        3    117
         IISPEC1$;_         ! SPEC CODE1                   S        3    120
         IISPEC2$;_         ! SPEC CODE2                   S        3    123
         IIFSHAPE$;_        ! FROM SHAPE                   S        3    126
         IISPECS$;_         ! SONIC SPEC                   S        3    129
         ICNBR$;_           ! CUST NUMBER                  S        6    132
         I1A2FILL$          ! FILLER                       S        2    138
!++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
!
